org.eclipse.viatra.addon.viewers.runtime.model

## Class ViewerDataModel

- java.lang.Object
- - org.eclipse.viatra.addon.viewers.runtime.model.ViewerDataModel

- Direct Known Subclasses:
    ViatraViewerDataModel

      public abstract class ViewerDataModel
      extends java.lang.Object

  Data model collecting input from multiple query results, and returns them as `ObservableSet` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ViatraQueryEngine` | `engine`
    `protected NotationModel` | `model`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewerDataModel(org.eclipse.emf.ecore.resource.ResourceSet notifier)`
    `ViewerDataModel(ViatraQueryEngine engine)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `ViatraQueryEngine` | `getEngine()`
    `NotationModel` | `getNotationModel()`
    `abstract java.util.Collection<IQuerySpecification<?>>` | `getPatterns()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          protected NotationModel model

    - #### engine

          protected ViatraQueryEngine engine

  - ### Constructor Detail

    - #### ViewerDataModel

          public ViewerDataModel(org.eclipse.emf.ecore.resource.ResourceSet notifier)
                          throws ViatraQueryException,
                                 ViatraBaseException

      Throws:
        `ViatraQueryException`
        `ViatraBaseException`

    - #### ViewerDataModel

          public ViewerDataModel(ViatraQueryEngine engine)
                          throws ViatraQueryException,
                                 ViatraBaseException

      Throws:
        `ViatraQueryException`
        `ViatraBaseException`

  - ### Method Detail

    - #### getNotationModel

          public NotationModel getNotationModel()

    - #### getEngine

          public ViatraQueryEngine getEngine()

    - #### dispose

          public void dispose()

    - #### getPatterns

          public abstract java.util.Collection<IQuerySpecification<?>> getPatterns()